Skip to main content
GET
/
api
/
v1
/
logs
/
executions
/
{request_id}
/
runtime
Get runtime logs for a request
curl --request GET \
  --url https://api.dualship.run/api/v1/logs/executions/{request_id}/runtime \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Workspace-Id: <x-workspace-id>'
import requests

url = "https://api.dualship.run/api/v1/logs/executions/{request_id}/runtime"

headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-Workspace-Id': '<x-workspace-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.dualship.run/api/v1/logs/executions/{request_id}/runtime', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "limit": 123,
  "logs": [
    {
      "created_at": "<string>",
      "data": {},
      "flow_id": "<string>",
      "flow_slug": "<string>",
      "id": "<string>",
      "level": "<string>",
      "message": "<string>",
      "node_id": "<string>",
      "node_type": "<string>",
      "request_id": "<string>",
      "stack_trace": "<string>"
    }
  ],
  "offset": 123,
  "total": 123
}
{
"code": "BAD_REQUEST",
"error": "invalid request parameters"
}
{
"code": "UNAUTHORIZED",
"error": "unauthorized"
}
{
"code": "INTERNAL_ERROR",
"error": "internal server error"
}

Authorizations

Authorization
string
header
required

JWT Bearer token authentication

Headers

X-Workspace-Id
string
required

Workspace ID

Path Parameters

request_id
string
required

Request ID

Query Parameters

project_id
string

Project ID (uses default if not specified)

limit
integer
default:100

Limit results (max 1000)

offset
integer
default:0

Offset for pagination

Response

Runtime logs for the request

limit
integer
logs
object[]
offset
integer
total
integer